package com.fjs.scenic.ticket.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 畅游通平台属性配置
 */
@Component
@ConfigurationProperties(prefix="ota.cyt")
public class CytConfiguration {

    /** 企业编码 */
    private String identity;
    /** OTA用户标志 */
    private String createUser;
    /** 畅游通分配的接口调用密钥 */
    private String key;
    /** 畅游通平台接口地址 */
    private String apiUrl;
    /** 畅游通接口调用成功返回的代码 */
    private String code;
    /** 畅游通门票图片*/
    private String pic;

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getApiUrl() {
        return apiUrl;
    }

    public void setApiUrl(String apiUrl) {
        this.apiUrl = apiUrl;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }
}



